Bug 971197 - Live preview renders <step> of <stepalternatives> at same level as parent <step>
Live preview renders <step> of <stepalternatives> at same level as parent <step>
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
mmurray
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 21:07 EDT by mmurray
Modified: 2013-07-29 03:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 03:43:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
steps of stepalternatives rendered at same level as parent step (304.19 KB, image/png)
2013-06-05 21:07 EDT, mmurray
no flags Details

  None (edit)
Description mmurray 2013-06-05 21:07:31 EDT
Created attachment 757450 [details]
steps of stepalternatives rendered at same level as parent step

Description of problem:
<stepalternatives> are a subcomponent of <step> and rendered as A, B, etc.

So for example:
<step>
  <para>Do one of these options:</para>
  <stepalternatives>
    <step><para>Option 1 is</para></step>
    <step><para>Option 2 is</para></step>
  </stepalternatives>
</step>

would render as:
3. Do one of these options:
  A. Option 1 is
  B. Option 2 is

But live preview (preview pane below editor pane) simple renders the stepalternatives as steps, so (screen capture attached):
3. Do one of these options:
4. Option 1 is
5. Option 2 is


Version-Release number of selected component (if applicable):
Build 201305221423


Actual results:
Live preview renders <steps> of <stepalternatives> at same level as parent <step> 


Expected results:
Live preview renders <steps> of <stepalternatives> at sublevel to parent <step>
Comment 1 Matthew Casperson 2013-06-27 22:36:33 EDT
Fixed in 201306281223

Rendering is now done with the publican XSL stylesheets, which fixes this issue.

NOTE:
When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Be aware that this fix may have only been applied in PressGang Next at this time, or it may not be currently applied in any production system, in which case it can only be verified at a later date.
Comment 3 mmurray 2013-07-29 03:31:19 EDT
Verified in build 201307291543

Note You need to log in before you can comment on or make changes to this bug.